TestException Struct Reference

`#include <exception.test.h>`

## Public Member Functions

Test | generic ()
Test | system ()
Test | badCast ()
Test | addContext ()

## Member Function Documentation

## addContext()

Test TestException::addContext | ( |  | ) |

inline

References assert_eq, and wibble::exception::Context::formatContext().

## badCast()

Test TestException::badCast | ( |  | ) |

inline

References assert_eq, and wibble::exception::Generic::fullInfo().

## generic()

Test TestException::generic | ( |  | ) |

inline

References assert.

## system()

Test TestException::system | ( |  | ) |

inline

References wibble::sys::fs::access(), assert, assert_eq, wibble::exception::System::code(), and wibble::exception::Generic::fullInfo().

The documentation for this struct was generated from the following file:

- exception.test.h